commit 898066855feccbf60a9462190e5c4f1f3c8d20c1
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Mon Oct 27 01:28:10 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index eaec013737c..d2d23919158 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,12 @@
+2025-10-26  LIU Hao  <lh_mouse@126.com>
+
+	Backported from master:
+	2025-10-26  LIU Hao  <lh_mouse@126.com>
+
+	PR target/119079
+	* config/i386/i386.md: Use `movsxd` to perform SI-to-DI extension in Intel
+	syntax.
+
 2025-10-24  Linsen Zhou  <i@lin.moe>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 8a8350ab3d9..6e95effb6d9 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251026
+20251027
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index e828b7f0bb5..89f374afaf8 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,12 @@
+2025-10-26  Alexandre Oliva  <oliva@adacore.com>
+
+	Backported from master:
+	2025-10-26  Alexandre Oliva  <oliva@adacore.com>
+
+	PR target/121599
+	* gcc.target/aarch64/sve2/pr121599.c: Tolerate alterate insn
+	selection.
+
 2025-10-25  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:

